Bug 990373 - Source file Upload dialog will cause an exception if filename is not set
Source file Upload dialog will cause an exception if filename is not set
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Usability (Show other bugs)
development
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: David Mason
Zanata-QA Mailling List
:
Depends On:
Blocks: 994362
  Show dependency treegraph
 
Reported: 2013-07-31 01:31 EDT by Damian Jansen
Modified: 2013-11-26 22:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-26 22:31:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damian Jansen 2013-07-31 01:31:11 EDT
Description of problem:
A NullPointerException will occur if the user presses Upload without setting a file

Version-Release number of selected component (if applicable):
Dev

How reproducible:
Easy always

Steps to Reproduce:
1. Go to Projects and select (or create) a project
2. Select or create a project version
3. Go to Source Documents
4. Press Upload Document
5. Press Upload button

Actual results:
Unexpected error. Please try again. [ Request: ? ] 

Expected results:
Either the button should be greyed out, or a message saying "Please select a file to upload" should show.

Additional info:
Comment 1 David Mason 2013-08-02 02:23:35 EDT
Fixed in 3.0.0-alpha-2-SNAPSHOT by disabling the upload button whenever the file selection element does not specify a file.

See: https://github.com/zanata/zanata-server/commit/9620e5e7f9d92fe90152f99e26eafc3a62fe0f88
Comment 2 Damian Jansen 2013-08-07 02:21:03 EDT
Verified at 5bf0f1eadda3c43c780c06cdbdb9746bae49215d
Comment 3 Sean Flanigan 2013-11-26 22:31:24 EST
Closing VERIFIED bugs which predate Zanata 3.1.2.

Note You need to log in before you can comment on or make changes to this bug.